@import "variable.css";
@import "rest.css";
html,
table,
td,
tr {
    font-family: iransans !important;
}

body {
    font-family: iransans !important;
    font-size: 12px;
}
a:-webkit-any-link {
    text-decoration: none;
}
input , select {
    font-family: iransans !important;
    font-size: .8rem;

}
input::-webkit-inner-spin-button,
input::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}
input:focus{
    outline: 0 !important;
}
input , label {
    font-weight: bolder!important;
}
.master .master-inner {
    margin: 20px 0;
}

.display-flex {
    display: flex;
}
.display-flex-direction-row {
    flex-direction: row;
}
.display-flex-direction-column {
    flex-direction: column;
}
.display-flex-justify-content-center {
    justify-content: center;
    align-items: center;
}
.display-flex-justify-content-space-between {
    justify-content: space-between;
}
.display-flex-justify-content-flex-end {
    justify-content: flex-end;
}
.grecaptcha-badge {
    display: none;
}
.Toastify {
    font-size: 0.8rem;
    font-weight: normal;
}
.Toastify__toast-body {
    font-family: iransans !important;
}
.Toastify__toast--error{
    background-color: var(--danger-color);
}
.Toastify__toast--success{
    background-color: var(--success-color);
}
.Toastify__toast--info{
    background-color: var(--info-color);
}
.fusioncharts-container text, .raphael-group-15-caption text, .raphael-group-143-item text, .raphael-group-161-dataset-axis-name text {
    font-family: iransans !important;
    font-size: 11px;
}
.raphael-group-174-dataset-axis text {
    font-size: 11px;
    font-family: iransans !important;
}
.fc__tooltip{
    text-align: right;
    font-family: iransans !important;
}
text .fc__tooltip {
    font-family: iransans !important;
    text-align: right;
}
.canvasjs-chart-canvas {
    position: relative !important;
}
.canvasjs-chart-tooltip{
    position: relative !important;
}
.MuiCircularProgress-colorPrimary {
    width: 20px!important;
    height: 20px!important;
}
.centeral {
    /*transform: translate(-50%, -50%);*/
    position: absolute;
    top: 50%;
    left: 50%;
    z-index: 9999999999;
}
.green-background {
    background-color: var(--success-color) !important;
    color: #ffffff;
    padding: 1px 5px;
    border-radius: 7px;
}
.datepicker-input-container input {
    min-width: 50%;
    border: 1px solid rgba(0,0,0,.3);
    margin-right: 5px;
    padding: 5px;
    border-radius: 5px;
    margin-left: 10px;
    font-size: .8rem;
}
.datepicker-input-container label {
    position: relative;
    cursor: text;
    display: flex;
    align-items: center;
    margin-top: -6px;
}
.status-0 {
     color: var(--dark-color);
 }
.status-1 {
    color: var(--danger-color);
}
.status-1 {
    background-color: var(--success-color);
    color: #ffffff;
    border-radius: 5px;
    padding: 2px 5px;
    border: 1px solid var(--success-color);
}
.order-status-0 {
    color: var(--danger-color);
}
.order-status-1 {
    background-color: var(--success-color);
    color: #ffffff;
    border-radius: 5px;
    padding: 2px 5px;
    border: 1px solid var(--success-color);
}
.order-status-2 {
    background-color: var(--danger-color);
    color: #ffffff;
    border-radius: 5px;
    padding: 2px 5px;
    border: 1px solid var(--danger-color);
}
.product-warning {
    background-color: yellow;
}
.profile-form {
    padding: 25px;
}
.table a {
    color: #3254ff;
    text-decoration: none;
}
.transaction-pending {
    background-color: var(--dark-color);
    color: #ffffff;
    padding: 1px 7px;
    border-radius: 5px;
}
.transaction-success {
    background-color: var(--success-color);
    color: #ffffff;
    padding: 1px 7px;
    border-radius: 5px;
}
.transaction-failed {
    background-color: var(--danger-color);
    color: #ffffff;
    padding: 1px 7px;
    border-radius: 5px;
}
.span-info {
    font-size: 11px;
}
.table-duplicate-row{
    text-align: center;
//border-collapse: separate !important;
//border-spacing: 0 10px;
    width: 100%;
    margin: 50px 0;
}
.table-duplicate-row th, td{
    border: 1px solid #f0f0f0;
    padding: 5px 15px;
}
.table-duplicate-row .MuiInputBase-input {
    text-align: center;
}
.table {
    text-align: center;
    border-collapse: separate !important;
    border-spacing: 0 10px;
    width: 100%;
}
.table .MuiChip-root{
    font-family: inherit !important;
}
.table thead tr{
    background-color: transparent;
    padding: 0;
    border: 1px solid #cccccc;
}
.table thead tr th{
    cursor: pointer;
    /*border: 1px solid #cccccc;*/
    padding: 10px 5px;
    background-color: #ffffff;
    -webkit-box-shadow: 0 1px 2.5px 0 rgba(0,0,0,.15);
    box-shadow: 0 1px 2.5px 0 rgba(0,0,0,.15);
}
.table thead tr th svg{
    position: relative;
    top: 7px;
}
.table tbody tr {
    background-color: #ffffff;
    -webkit-box-shadow: 0 1px 2.5px 0 rgba(0,0,0,.15);
    box-shadow: 0 1px 2.5px 0 rgba(0,0,0,.15);
}
.table tbody tr:hover {
    -webkit-transition: .4s;
    transition: .4s;
    -webkit-box-shadow: 0 6px 15px rgba(0, 0, 0, .15);
    box-shadow: 0 6px 15px rgba(0, 0, 0, .15);
    cursor: pointer;
}
.table tbody tr:hover {
    background-color: #ffffff;
}
.table  td{
    padding: 10px 0;
}
.pagination {
    display: flex;
    list-style: none;
    justify-content: flex-end;

}

.pagination li a {
    color: var(--dark-color);
    float: left;
    padding: 3px 6px;
    text-decoration: none;
    transition: background-color .3s;
    margin: 0 4px;
}

.pagination li.active {
    background-color: var(--warning-color);
    border: 1px solid var(--warning-color);
    color: #000000 !important;
    box-shadow: 0 2px 5px 0 rgba(0,0,0,.16), 0 2px 10px 0 rgba(0,0,0,.12);
}
.pagination li.active a {
    color:#000;
}
*::-webkit-scrollbar {
    width: 7.5px;
}
/* Track */
*::-webkit-scrollbar-track {
    box-shadow: inset 0 0 5px gray;
    border-radius: 10px;
}
/* Handle */
*::-webkit-scrollbar-thumb {
    background: var(--warning-color);
    border-radius: 10px;

}
.disable {
    pointer-events: none!important;
}
textarea {
    margin: 0;
    width: calc(100% - 30px);
    border-radius: 5px;
    padding: 15px;
    font-family: inherit !important;
    border: 1px solid var(--border-color);
    box-shadow: none;
}
.alert {
    border-radius: 7px;
    padding: 15px;

}
.alert-info {
    background-color: var(--info-color);
    color: #ffffff;
}
.alert p {
    padding: 10px 15px;
}
.full-width {
    width: 100%;
}
@media screen and (max-width: 600px) {
    .table, .table-duplicate-row {
        width: 1000px;
    }

}
@media screen and (max-width: 360px) {
    body {
        font-size: 10px;
    }
}
